> Call POST /v1/check before a tool that writes. DENY means do not invoke the tool. For clean Markdown of any page, append .md to the page URL. For the complete index, fetch https://docs.withwrit.com/llms.txt.

# Get the latest manifest and drift for a repo

GET https://api.withwrit.com/v1/manifests/{repoId}

Reference: https://docs.withwrit.com/api-reference/enforcement/get-the-latest-manifest-and-drift-for-a-repo

## Servers

- `https://api.withwrit.com` (Writ gate, default)
- `https://j72ckh66ukck2kcbq3oiwxaalm0olxwb.lambda-url.us-east-1.on.aws` (Direct Lambda Function URL (fallback))

## Request

### Path parameters

- `repoId` (string, required)

## Response

### 200

Latest manifest and drift.

- `repoId` (string, optional)
- `manifest` (V1ManifestsRepoIdGetResponsesContentApplicationJsonSchemaManifest, optional)
- `signature` (string, optional)
- `createdAt` (integer, optional)
- `drift` (V1ManifestsRepoIdGetResponsesContentApplicationJsonSchemaDrift, optional)

## Errors

### 404 Not Found Error

Manifest not found.

- `any`

## Types

### V1ManifestsRepoIdGetResponsesContentApplicationJsonSchemaManifest

### V1ManifestsRepoIdGetResponsesContentApplicationJsonSchemaDrift

## Examples

**Response**

```json
{
  "repoId": "string",
  "manifest": {},
  "signature": "string",
  "createdAt": 1,
  "drift": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.withwrit.com/v1/manifests/repoId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.withwrit.com/v1/manifests/repoId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withwrit.com/v1/manifests/repoId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withwrit.com/v1/manifests/repoId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withwrit.com/v1/manifests/repoId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withwrit.com/v1/manifests/repoId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.withwrit.com/v1/manifests/repoId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withwrit.com/v1/manifests/repoId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```